fn main() {
    // println!("{}", parse_color("hello world"));
}

enum Block {
    String(String),
    Bold,
    Under,
    Color(String),
    TrueColor(u8, u8, u8),
    EndAll,
    EndBold,
    EndUnder,
    EndColor,
}

/// <red></red>
/// <red><bold></>
/// \\ \<
fn parse_color(msg: &str) -> Vec<Block> {
    let mut parsed_blocks = vec![];
    let mut msg_iter = msg.chars().peekable();

    while let Some(c) = msg_iter.next() {
        if c == '\\' {
            // match msg_iter.next() {
            //     Some(c) => parsed_blocks.push(c), None => break,
            // }
        }
    }

    parsed_blocks
}
